#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Grid/CellVolTypeEditor.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 


package SAPDB::Install::Grid::CellVolTypeEditor;

use base Wx::PlGridCellEditor;
use Wx qw(wxCB_READONLY);

sub Create {
  my ( $self, $parent, $id, $evthandler ) = @_;
  return 1 if exists $self->{'cb'};
  $self->{'cb'} = Wx::ComboBox->new( $parent, $id, 'DATA',[0,0],[-1,-1],['LOG','DATA'],wxCB_READONLY);
}

sub SetSize {
  my( $self, $size ) = @_;
  $self->{'cb'}->SetSize( $size );
}

sub Show {
  my( $self, $show, $attr ) = @_;
  $self->{'cb'}->Show( $show );
}


sub EndEdit {
	my( $self, $row, $col, $grid ) = @_;
	my $changed = ($self->{'cb'}->GetValue ne
			 $grid->GetCellValue( $row, $col )); 
	
	$grid->SetCellValue( $row, $col, $self->{'cb'}->GetValue )
		 if $changed;
	
	return $changed;
}

sub BeginEdit {
	my( $self, $row, $col, $grid ) = @_;
	$self->{'cb'}->SetValue($grid->GetCellValue( $row, $col));
	$self->{'cb'}->SetFocus;
	return 1;
}


sub Destroy{
	my ($self) = @_;
	$self->{'cb'}->Destroy if $self->{'cb'};
}

1;
