#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Instance/Check/Finalize/ExtLVCCons.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#

package SAPDB::Install::Instance::Check::Finalize::ExtLVCCons;

use SAPDB::Install::Instance::Base;
use SAPDB::Install::Instance::Check::Common;

push @ISA, 
	'SAPDB::Install::Instance::Base',
	'SAPDB::Install::Instance::Check::Common';

#
# the only thing we have to do is to set a flag the
# the livecache should be initialized 
#
sub finalizecheck {
	my ($self) = @_; 

	$self->set_errorstate ('ERROR');
	$self->msgbegin
	("running finalize check for EXTERNAL_LIVECACHE_CONSISTENCE");
	$self->msg1
	("running finalize check for EXTERNAL_LIVECACHE_CONSISTENCE...\n");

	$self->set_errorstate ('INIT_FOR_REPORT_REQUIRED');
	$self->msgend ();
	return 0
}

1;

