#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Dialog/DBDrop.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 


package SAPDB::Install::Dialog::DBDrop;

use Wx::Event qw (EVT_CLOSE);
use Wx qw ( wxVERTICAL
	wxEXPAND wxALIGN_CENTER wxALL
	wxTOP wxBOTTOM);

use base Wx::Dialog;
use SAPDB::Install::Window::DBDrop;


#
#	$my_args = {
#				'dbname' => <database name>,
#				'log' => <a object of type SAPDB::Install::Log or with similar interface>,
#			};
#


sub new{
	my ($class,$my_args,@args) = @_;
	my($this ) = $class->SUPER::new(@args);
	$this->Move([300,200]);
	$this->SetSize([250,190]);
	$this->SetTitle('Drop Database '.$my_args->{'dbname'});
	my $sizer = Wx::BoxSizer->new(wxVERTICAL);
	$this->{'win'} = SAPDB::Install::Window::DBDrop->new($my_args,$this,-1);
	$sizer->Add($this->{'win'},1,wxEXPAND);
	EVT_CLOSE($this,\&OnClose);
	$this->SetSizer($sizer);
	$this->SetAutoLayout(1);
	#$this->Show(1);
	$this->Layout();
	$this->Fit;
	return $this;
}

sub OnClose{
	my ($self,$evt) = @_;
	$self->EndModal(0);
}

sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove(0)) {}
	$self->{'win'}->Destroy;
	delete $self->{'win'};
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}

1;
