#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/SigHandler.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 

package SAPDB::Install::SigHandler;

require SDB::Common::Exporter;

our @ISA = qw (SDB::Common::Exporter);
our @EXPORT = qw (setSigHandler);

use SAPDB::Install::StdIO;
use SAPDB::Install::Trace;

sub setSigHandler{
	
	$SIG{'INT'} = sub {
					print2stderr("\nCtrl + c pressed!\n");
					defined $SAPDB::Install::StartInstall::cleaner and $SAPDB::Install::StartInstall::cleaner->DESTROY and $SAPDB::Install::StartInstall::cleaner=undef;
					defined $SAPDB::Install::Uninstall::Start::cleaner and $SAPDB::Install::Uninstall::Start::cleaner->DESTROY and $SAPDB::Install::Uninstall::Start::cleaner=undef;
					diesoft('aborted');
				 };
	
	foreach my $errsig ('ABRT','BUS','EMT','FPE','ILL','QUIT','SEGV','SYS','TRAP'){
		
		$SIG{$errsig} = sub {
						print2stderr("SIGNAL: got signal $errsig\n");
						WriteTrace();
						defined $SAPDB::Install::StartInstall::cleaner and $SAPDB::Install::StartInstall::cleaner->DESTROY and $SAPDB::Install::StartInstall::cleaner=undef;
						defined $SAPDB::Install::Uninstall::Start::cleaner and $SAPDB::Install::Uninstall::Start::cleaner->DESTROY and $SAPDB::Install::Uninstall::Start::cleaner=undef;
						diesoft('fatal error');
	
					};
	}
	
}

1;